<template>
  <!--pages/home/main.wxml-->
  <div class='home'>
    <v-top :list ="list"></v-top>
    <div class="title">
      <p class="title1">{{egname}}</p>
      <p class="title2">{{name}}</p>
    </div>
    <div class="content"> 
      <div v-for="(item,index) in datas" :key="index" v-if="datas.length!==0" class="item">
        <div class="left">{{item.rightName?item.rightName:''}}</div>
        <div class="right">{{item.rightDescription?item.rightDescription:''}}</div>
      </div>

    </div>
    
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6">
  import config from '@/config'
  import top from '@/components/top/top.vue'
  import name from '@/components/name/name.vue'
  import change from '@/components/change/change.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        name:'',
        egname:'',
        namelist:[
          {
            text:'左远方',
            type:'name',
          },
          {
            text:'藏家  COLLECTOR',
            type:'link',
          }
        ],
        changelist:[
          {
            name:"积分",
            data:[]
          },
          {
            name:"礼券",
            data:[]
          },
          {
            name:"服务",
            data:[]
          },

          ],
        list:[
          {
            type:'',
            couponId:'',
            activityId:'',
            noticeMsg:'',
            isRead:''
          }
        ],
        memberId:'',
        hintbox:{
          text :'',
          show : false
        },
        datas:[{
          memberGrade:'',
          rightName:'',
          rightDescription:''
        }],
        
      }
    },
    components:{
      'v-hintbox' : hintbox,
      'v-top': top,
      'v-change': change,
      'v-name': name,
    },
    methods:{
      //我的卡券
      link(){
        console.log('卡券跳转');
        config.href(config.mycard.card);
      },
      //我的信息
      myinfo(){
        console.log('我的信息跳转');
        
      },
      //商城跳转
      shop(){
        console.log('商城');
        config.href(config.shop.home);
      },
      //关闭弹窗
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      //点击列表菜单
      menu(){
        console.log("列表菜单");
        config.href(config.activity.list);
      },
      //首页接口
      getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/rights/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records;
                let name = that.datas[0].memberGrade.toString();
                console.log('name',name.split(' '));
                that.name = name.split(' ')[0];
                that.egname = name.split(' ')[1];
                
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
    },
    //页面加载时，判断用户是否登录
    onLoad(data) {
      let that = this;
      mta.Page.init();
      this.getAjax();
    
    }
  }
</script>
<style lang="scss"  type="text/scss" scoped>
  /* pages/home/main.wxss */
  .home{
    background: #fff;
    .title{
      text-align: center;
      margin: 0 auto;
      position: relative;
      top: 1.26rem;
      font-size: 0.28rem;
      color: #333333;
      .title1{
        color:#666464;
        font-size:0.36rem;
        margin-top:0.52rem;
      }
       .title2{
        color:#727171;
        font-size:0.26rem;
        margin-top:0.24rem;
      }
    }
    .content{
      top: 1.98rem;
      position: relative;
      width: 6.1rem;
      //height: 6.17rem;
      //background: #EFEFEF;
      margin-left: 0.6rem;
      .item{
        display: flex;
        height: 1.12rem;
        border-bottom: 1px solid #D2D2D3;
        //line-height: 1.12rem;
        text-align:left;
        .left
        { 
          width:49%;
          font-size: 0.24rem;
          color: #333333;
          text-align:left;
          margin-left:0.55rem;
          margin-top:0.43rem;
          // border:1px solid #000;
        }
        .right
        {
          width:49%;
          font-size: 0.24rem;
          color: #333333;
          margin-top:0.43rem;
          line-height:0.3rem;
          
        }
      }

    }
    
    
  }
 
</style>
